Ralink Mediatek 14c3:7630 wi-fi card isn't supported out of the box

Bug #1220146 reported by Anthony Wong on 2013-09-03
570
This bug affects 107 people
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Canonical Hardware Enablement
Trusty
Medium
Unassigned
Linux
Unknown
Unknown
vivid
New
Undecided
Unassigned
linux (Fedora)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella
linux-lts-xenial (Ubuntu)
Undecided
Unassigned
Nominated for Trusty by Alberto Salvia Novella
Nominated for Utopic by Alberto Salvia Novella

Bug Description

This device is appearing in some OEM machines, but driver is not yet available in mainline.

The driver seems to be present in machines with pre-installed OS, but isn't available on the download-and-install versions!

The driver that upstream is working on can be found at https://github.com/lwfinger/mt7630.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: blocks-hwcert-enablement
Changed in hwe-next:
status: New → Confirmed
Changed in linux (Ubuntu Raring):
status: New → Confirmed
importance: Undecided → Medium
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium
Changed in hwe-next:
assignee: nobody → Canonical Hardware Enablement Team (canonical-hwe-team)
importance: Undecided → Medium
Karishma Agarwal (karishma1412) wrote :

My laptop is also having the same driver. Kindly provide the support for this driver as soon as possible. Thanks in advance.

Imerion (imerion) wrote :

Same here. Is there anything I can do to help getting it implemented? I could help compile and test prototypes or so for example. I did try to compile and install some drivers from the manufacturers homepage, but they didnt seem to work and I wasnt sure they were for this specific device. Anyway, please tell me if I can helt because getting this working would be highly appreciated!Also, how long does it usually take to get something like this into mainline?

ajithk (ajith-k-holla) wrote :

Yes, on hp pavilion 15- n004tx with ubuntu finds same wifi network controller. need to get a driver working, its not working currently..

Alberto Russo (valix) wrote :

On HP probook 430 g1 is present this wifi/bluetooth network device.

Po-Hsu Lin (cypressyew) wrote :

Also affects 201306-13836 HP Pavilion 15

tags: added: 201306-13836 blocks-hwcert taipei-lab
Po-Hsu Lin (cypressyew) wrote :

Also affects 201307-13904 HP Pavilion 14

tags: added: 201307-13904

When I bought the laptop (HP Pavilion 15 n004tx), it was preinstalled with Ubuntu 12.04 LTS. The wifi and Bluetooth was working smoothly in the preinstalled Ubuntu. Did manufacturers use different compatible drivers?? How can the drivers be available in older version and not in the latest one?? Please fix it soon. Thank you.

tafazzi87 (tafazzi-87) wrote :

so i've a hp probook 430 g1 with this card and i can't use wifi/bluetooth, please fix this bug!!!! Thanks :D

Po-Hsu Lin (cypressyew) wrote :

Also affects 201305-13643 HP Pavilion 14

tags: added: 201305-13643

Also affects HP pavilion 15-N011TU having pre-installed ubuntu 12.04 .

I bought Hp Pavilion 15 - n011tu laptop

In my case my wifi network is connected but i can not browse.

I called HP but they said you got response from HP support supervisor puru vaidya that "you got cheap laptop as you have not brought the windows OS , we have corporate tie up with microsoft and we do not support other OS( god knows why HP is selling preinstalled Ubuntu laptops)
This is an insult to linux community.

i have dropped an email to HP vendor ie mediatek <email address hidden> lets see how they respond

Gaurav Sharma (change5262) wrote :

Wifi doesn't work after kernel upgrade! I also tried installing linux-firmware_1.118_all.deb on Ubuntu 13.10, no luck.

Himanshu, I'm in the same boat as you, as regards to buying HP Pavilion 15 - n011tu. But, I can use my wifi only if I use the OS config (Ubuntu 12.04) that HP shipped with it. The laptop suffers with hanging problems on Ubuntu 12.04 and HP support told me to upgrade, but if I upgrade I don't have Wifi, but hanging is sorted. HP tried to sell me Windows too! If they don't know Ubuntu, they shouldn't sell it, it's a marketing gimmick!

I have put this on Twitter and I will mail on <email address hidden> as well. Mediatek has a Linux drivers website (http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501) but no drivers for our chip: MT7630.
Good luck and thanks!

Manel Grifoll (drapnet) wrote :

My laptop is also having the same Mediatek driver. HP probook 430 g1.

Thanks :D

Vilas (k-vilas2000) wrote :

I have bought the HP Pavilion 15 n004tx. The wifi and bluetooth both are not working with preinstalled OS only. (Ububntu 12.04)

I am documenting my research ( my futile attempts to solve this problem) 1)

I have downloaded drivers from http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501

and followed procedure in the below thread http://ubuntuforums.org/showthread.php?t=1958059

i worked worked with 2 drivers( build and attached the .ko )
 i) RT2860PCI/mPCI/CB/PCIe(RT2760/RT2790/RT2860/RT2890)
 ii) RT3290 PCIe

2) I also tried wot work with Ndiswrapper using PCIe(RT2790/RT309X/RT35X2/RT539X/RT3290/MT7630) driver and followed ubuntu guidlines to use Ndiswrapper

In both the cases Driver Module gets loaded but nothing happens( i have blacklisted the original driver)

Thanks!!

tafazzi87 (tafazzi-87) wrote :

please i'm going crazy, i'm trying also to use ndiswrapper but nothing...i've also mail to mediatek but i've no answer yet

I am a c/c++ programmer but i do not have experience with device drivers , if some one from community guides me
i can write code or make necessary changes , i reviewed some code of old drivers from mediatek majority of there code
is same since 2008 , i think we just need to make some kernal specific changes

Thanks!!
Himanshu

Vijay (email-vijayn) wrote :

I've been stuck with the same problem for several days now. The make file for the MT7610U v 3.0.0.2 driver downloaded from the mediatek site lists MT7630E as one of the supported devices. However the source compiles to a file named mt7650u_sta.ko Loading this driver using modprobe does not seem to do anything.

D/L link for the driver
http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501

Can anybody help with this?

Thanks

Vijay

description: updated
Omnicomment (omnicomment) wrote :

Seriously.. this is getting to me now: http://askubuntu.com/questions/404733/unresolved-duplicate-how-do-i-get-a-mediatek-mt7630e-802-11bgn-wi-fi-adapter-to

Here's another occurrence: http://askubuntu.com/questions/402757/need-wifi-driver-of-mediatek-7630-for-ubuntu-12-04

http://varshneyabhi.wordpress.com/2013/11/28/kernel-panic-while-using-wireless-wifi-drivers-of-mediatek-7601u-chipset/
Provides links to some of the problems involved in porting the drivers for another device, supposedly compatible with this 7630 card. Also claims contacting Ralink / Mediatek hasn't been useful, since they haven't gotten back after acknowledging a problem.

Here's a distinct lack of HelPfulness: http://h30434.www3.hp.com/t5/Wireless-Internet-Home-Networking/Problem-with-Mediatek-7630-wifi-bluetooth-card/td-p/2994253/page/2

There are two solutions to this.

1) There are machines STILL shipping with Ubuntu pre-installed, that utilise this card. Check any retailer's website! These are identical machines to the ones featured in the complaints: where the WiFi works out of the box, but doesn't do so if you upgrade. And still doesn't do so if you roll back! (This can only mean that the roll back version of the OS isn't the same as the OEM installed version).

Can someone from the Canonical team buy one, or even just boot one up at a retailer, copy the driver and upload it for release? If I had the cash, I'd have ordered a 2nd laptop, done this within 24 hours of receipt, and then returned it. I still might do this myself this weekend - provided I find such a machine at a retail showroom near me, and not only at an online retailer (since I don't have the cash :P). Then again, I wonder if I can request an online retailer to do this at their end.

I won't even bother requesting HP to do this.

So yes, does anyone know the filename and path? Or even a whole folder?

2) WRITE THE DAMN DRIVER!

Sheldon Irwin (sheldon-irwin) wrote :

I have the same problem, and little-to-no experience with linux drivers.

HP provides OpenSUSE drivers for this card: See "Ralink Wireless LAN Driver for SuSE Linux" at the following url:

http://h20565.www2.hp.com/portal/site/hpsc/template.PAGE/public/psi/swdHome/?sp4ts.oid=5405417&spf_p.tpst=swdMain&spf_p.prp_swdMain=wsrp-navigationalState%3DswEnvOID%253D2020%257CswLang%253D%257Caction%253DlistDriver&javax.portlet.begCacheTok=com.vignette.cachetoken&javax.portlet.endCacheTok=com.vignette.cachetoken#Driver - Network

Perhaps this helps out? I'm in desperate need of a fix, University starts in a few weeks..

mycodef (mycodef) wrote :

Nice find! It appears to be MT7630 drivers & firmware for SLED 11 SP3

Direct link: ftp://ftp.hp.com/pub/softpaq/sp63501-64000/sp63656.tar

Sheldon Irwin (sheldon-irwin) wrote :

Thanks, I was also told to rebuild kernel modules using the new kernel:

 1) git clone git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-testing.git
 2) cd wireless-testing
 3) sudo make menuconfig
 4) make
 5) make modules_install install

This didn't seem to help me unfortunately.. I'm assuming the new kernel is still missing the correct drivers.

Is there any way to convert / rebuild the above driver for debian / ubuntu? I have no experience in this field?

@Sheldon You are correct, I checked and the driver is still missing.
From the archive, we can use the firmware file, but not the modules directly. We need the source code to recompile it against the current kernel of our distro.

I found this link

https://chromium.googlesource.com/chromiumos/third_party/linux-firmware/+/8267525f9845eca0222da8ebccc1452a6113d86a

Signed-off-by: Jay Hung <email address hidden>

I droped an email to jay..

This also affects my HP PROBOOK 450.

Thougt HP whould be safe to choose. Guess I was wrong.

SimonWerner (simonwerner) wrote :

Also affects my HP ProBook 470 G1.

verion GmbH (sales-ixsoft) wrote :

This bug affects all ASUS P550 notebooks with production date starting from Jan 2014.
They have swapped the reliable Atheros Wifi/BT controller with this MediaCrap module 7630.

I have asked MediaTek (through webform and via mail) and they did not respond.
I wonder if they do exist at all or are just a marketing department of Foxconn (they produce all the Mediatek cards).
I have asked ASUS and they told me the Mediatek was the same as Ralink 2800 module, so no problem with Windows drivers.

Anybody knows how to add the PCI ID from the MediaCrap 7630 module into the ralink driver?
I had a look into the r2x00 driver and it seems pretty weird, at least there was no PCI ID list in the source.

1 comments hidden view all 294 comments

MEDIATEK created new website
http://www.mediatek.com/en/downloads/

And this is there bluff

"MediaTek is very active in the Linux community, and provides source code for many of its client drivers to developers."

Armin Jacob (armin-jacob) wrote :
SimonWerner (simonwerner) wrote :

Hi A J,

I have tried to compiled the source and have the following results:
 - It looks like the code was written on Ubuntu with Linux version v3.5.0-24 (Ubuntu 12.10).
 - I tried Xubuntu 13.10 - (kernel v3.11.0-18-generic) - it does not compile - as suggested by the author.
 - Then I tried Ubuntu 12.10 - Desktop Live CD (kernel v3.5.0-17-generic) - compiles okay (in VM), but my laptop will not boot this version of Ubuntu. So I could not test with this version of Ubuntu.
 - So I tried Ubuntu 12.10 - Server install - (kernel v3.5.0-17-generic). Used the same modules compiled in the previous step. Not all modules are available on the server install for the generic kernel, the missing modules was (I don't know if this is important or not):
      /lib/modules/3.5.0-24-generic/kernel/drivers/misc/eeprom/eeprom.ko
However, once the other modules were loaded the Wifi light changed colour and the installer could detect the Wifi card. However, the installer could not detect the network, even when I manually entered it.

I suggest someone else try Ubuntu 12.10 (since it comes with the correct kernel version). I will upload the compiled modules, so someone just needs to run "load.sh" on Linux 3.5.0-17-generic to load the modules. And they can test the Wifi driver.

SimonWerner (simonwerner) wrote :

I can confirm the above driver works on my HP ProBook G1, running Ubuntu 13.10 with Linux v3.5.0-17 (the stock kernel from Ubuntu 12.10) and the modules compiled from github: https://github.com/anthonywong/mt7630

Below is a rough guide on how to get this wifi adapter working. These steps are only for testing purposes and I do not recommend anyone uses this setup:
1) Compile the mt7630 modules (I compiled in a VirtualBox VM running Ubuntu 12.10 Live CD which uses Linux v3.5.0-17).
2) Install the following and reboot (I installed this on my actual laptop, which has Ubuntu 13.10 - note that in my case the video drivers failed when I installed this):
          linux-image-3.5.0-17-generic_3.5.0-17.28_amd64.deb
          linux-image-extra-3.5.0-17-generic_3.5.0-17.28_amd64.deb
3) Run the 'load.sh' script from the mt7630 module package (you may need to make some obvious modifications to get the correct module directory). This will load your wifi drivers.

Below is the output from 'lspci -v' for this card:
04:00.0 Network controller: MEDIATEK Corp. Device 7630
 Subsystem: Hewlett-Packard Company Device 197c
 Flags: bus master, fast devsel, latency 0, IRQ 18
 Memory at b0600000 (32-bit, non-prefetchable) [size=1M]
 Capabilities: <access denied>
 Kernel driver in use: rt2800pci

I tested the card for standard network access and suspended the laptop, all went well.

tafazzi87 (tafazzi-87) wrote :

unfortunately it works only under an old kernel...but thanks for your work SimonWerner and if i can help you, tell me

Jacek Tomaszewski (slimak-pl) wrote :

Definitely that is something. So how to get this to work under newer kernels?
I'd love to help, but I don't really know where to start.

verion GmbH (sales-ixsoft) wrote :

Since the driver from github seems to work with the mtk7630 device, what is the process to move this upstream?

I think the developer for rt2800 can simply incorporate the changes into the mainline beta driver and the masses could test it out then.
How is the developer informed about this patch and the severity level?
Since there are zillions of notebooks now shipping with this MediaCrap hardware, I would think this is one of the more important pieces of hardware to support with the next kernel release.

SimonWerner (simonwerner) wrote :

Hi,

I have done some more testing with the MT6730 driver using kernel version 3.5.0-17. The results show that the wifi can be very slow, infact, it is almost unuseable at times.

Below are results on my HP ProBook G1 (wifi and eth0) as well as my Android based phone. I used Speedtest.net to get my speed values. The test results are only through 1 wifi access point, but I can confirm that the problem exists on the 3 wifi access points I tested this on.

All values are in Mbps.

                          Download Upload
mt7630 10.08 0.19 - kernel v3.5.0
mt7630 11.58 failed - kernel v3.5.0 (fresh boot)
eth0 91.30 93.12 - kernel v3.5.0
eth0 93.57 94.62 - kernel v3.11.0
Android 21.01 31.28 - I suppose this is the speed we expect on the mt7630

I will raise a bug on the github page for this driver.

i bought Hp Pavilion 15-n011tu because it was certified by ubuntu and the wifi model too:mt7630e

but it just sucks now .

i just wonder why ubuntu is not taking any step to fix this bug .

the ubuntu website says : "we will provide the support in next standard release "; but in ubuntu 14.04 still this driver is missing .

 i have moved to window 8 again .

I have the same problem, with my Asus F552C (using Ubuntu 14.04 live).
I tried ndiswrapper with the Windows drivers found on mediatek.com, but it didn't work.
It would be really nice to have a solution to this...

mg (gobbimattia) wrote :

Same problem here (Asus F552C).

Fred (jelk) wrote :

Same problem on a HP ProBook 470 G1 with Ubuntu 14.04 Trusty Thar
Hope, this will be fixed, soon.

Same issue here with my HP probook 440g1. Hope any thing +ve in near future.

Cmon Canonical group, make some noise.!

Po-Hsu Lin (cypressyew) on 2014-06-13
tags: added: trusty
Changed in linux:
status: New → Incomplete
tags: added: kernel-request-3.13.0-24.46
Changed in linux:
status: Incomplete → New
Changed in linux (Ubuntu):
status: Confirmed → New
Changed in linux (Ubuntu Raring):
status: Confirmed → New
Changed in linux (Ubuntu Saucy):
status: Confirmed → New
Brad Figg (brad-figg) on 2014-06-21
Changed in linux:
status: New → Incomplete
Changed in linux (Ubuntu Raring):
status: New → Incomplete
Changed in linux (Ubuntu Saucy):
status: New → Incomplete
Tilly (tilly11) on 2014-06-22
tags: added: apport-collected
Tilly (tilly11) on 2014-06-22
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux:
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → New
status: New → Confirmed
Changed in linux (Ubuntu Saucy):
status: Incomplete → Won't Fix
Changed in linux (Ubuntu Raring):
status: Incomplete → Won't Fix
no longer affects: linux (Ubuntu Raring)
no longer affects: linux (Ubuntu Saucy)
summary: - Need support for new Ralink Wifi card - Mediatek 7630 [14c3:7630]
+ Ralink Mediatek 14c3:7630 wi-fi card isn't supported out of the box
Changed in linux:
importance: Undecided → Unknown
status: Confirmed → Unknown
tags: added: kernel-wifi-needsdriver utopic
Changed in linux (Ubuntu):
status: Confirmed → Triaged
description: updated
Zaka (zaka304) on 2015-03-08
Changed in linux (Ubuntu):
assignee: nobody → Zaka (zaka304)
assignee: Zaka (zaka304) → nobody
214 comments hidden view all 294 comments
Jakub Kicinski (moorray) wrote :

@jesaenh @tafazzi-87 I added missing USB ids, can you test if my repo works for you now without the need to replace btloader/?

tafazzi87 (tafazzi-87) wrote :

@moorray now it works also bluetooth! thanks for your work

txutxifel (jesaenh) wrote :

Hi, bluetooth works for me too, thanks.

However I have a "little" problem with wifi drive . It doesn't load automatically. I have to do 'sudo modprobe mt7630e' manually to make it working.

I added 'modprobe mt7630e' in /etc/rc.local and now is fine

Any idea?

Thanks form your work!!!!!!!!!

PD . ksoftirqd is fine to me :)

Jakub Kicinski (moorray) wrote :

@jesaenh try running:
depmod -a
it should rebuild the database of kernel modules.

txutxifel (jesaenh) wrote :

@moorray I tried and I reinstalled my actual kernel and the headers, too. Any change. I need to use /etc/rc.local

I didn't see any strange in dmesg.

Thanks anyway

please help
Mediatek MT7630E wireless LAN driver in Ubuntu 14.10 and 15.04

Ievgen (hexvolt) wrote :

I'm posting the results of replacing MT7630E to Intel 7260ac: works fine with laptop HP Probook 470 G1, so there is no whitelist in laptop (if someone ask himself with such question).

There were some problems with Ubuntu 14.04 and kernel 3.13 though. It worked out of the box, but not so stable and with huge amount of Tx excessive retries. I updated the kernel to 3.16 and downloaded new firmware and i works better now

However sometimes 'Tx excessive retries' and 'Invalid misc:' in iwconfig is still more than 0. I don't if it's OK (because I did't run iwconfig with my old MT7630E), but wifi works for me.

Imerion (imerion) wrote :

Hi! I just tried this updated driver version from cuba-moo, and finally got this network card to work!
Thanks to all involved!

Something is not entirely right though. If I leave my computer on for a minute without doing anything my CPU will go up to 100%.
If I touch anything it goes down to 1% again. Any ideas?

Imerion (imerion) wrote :

Never mind, I might have found a different cause. At least I believe this to be solved.

Quentin (quentindunand) wrote :

I buyed an Asus Vivobook s301la-dh084h and I have the same problem. I don't have Wi-Fi because I have shitty MT7630E Wi-Fi/bluetooth card.

Thanks to @moorray, my Wi-Fi is working but is much less powerful than on Windows 8 (I can not detect networks that I detected very well in Windows) and my bluetooth doesn't work at all :(

Is somebody can help me ?
Thanks in advance :)

Quentin (quentindunand) wrote :

Sorry for the double post, I have forget to say that I'm currently running Ubuntu Gnome 15.04 and my kernel is 3.19.0-18-generic ;)

txutxifel (jesaenh) wrote :

I have the same problem as Quentin. My computer cannot find some networks.

Has Anyone an idea about to fix it?

Cheers!!!

james (thejamesbradwell) wrote :

Want to confirm that Jakub Kicinski's fix, applied through Jahidul Hamid's script in #244, works like a charm. CPU load is back to normal and syslog output is also normal. Thank you guys!

tags: added: vivid
removed: utopic
no longer affects: ubuntu-gnome
Nicco (nicco-angioni) wrote :

Hello! I still have problems with both kuba-moo and neurobin drivers. I have an Asus x555la laptop running ubuntu-gnome 15.04.
The installation was fine and and connection worked, but:
-the divers don't load at startup.
-the system crashes when I disconnect from a network, so to disconnect without problems I have to switch of the router...
Any idea to fix this?
Thank you in advance!

biker (biker6886) wrote :

Hi, I have same problem of Nicco with Ubuntu 14.04 and kernel 3.19. When I try to manage wifi the system freezes, I have to force shutdown with power button.

dave (2ave) wrote :

This device still not working in Ubuntu 15.10. I had it working under 15.04 using neurobin code. Now when I try to make it I get a FIF_PROMISC_IN_BSS undeclared error.

A thousand curses to MediaTek for not offering proper support and ASUS for using the hardware.

Hi Dave,

Did you try Jakub Kicinski's update of the driver : https://github.com/kuba-moo/mt7630e ?
J ean

----- Mail original -----

> De: "dave" <email address hidden>
> À: <email address hidden>
> Envoyé: Vendredi 23 Octobre 2015 03:10:36
> Objet: [Bug 1220146] Re: Ralink Mediatek 14c3:7630 wi-fi card isn't
> supported out of the box

> This device still not working in Ubuntu 15.10. I had it working under
> 15.04 using neurobin code. Now when I try to make it I get a
> FIF_PROMISC_IN_BSS undeclared error.

> A thousand curses to MediaTek for not offering proper support and
> ASUS
> for using the hardware.

> --
> You received this bug notification because you are subscribed to the
> bug
> report.
> https://bugs.launchpad.net/bugs/1220146

> Title:
> Ralink Mediatek 14c3:7630 wi-fi card isn't supported out of the box

> Status in HWE Next:
> Confirmed
> Status in HWE Next trusty series:
> Confirmed
> Status in Linux:
> Unknown
> Status in vivid:
> New
> Status in linux package in Ubuntu:
> Triaged
> Status in linux package in Fedora:
> New

> Bug description:
> This device is appearing in some OEM machines, but driver is not yet
> available in mainline.

> The driver seems to be present in machines with pre-installed OS, but
> isn't available on the download-and-install versions!

> The driver that upstream is working on can be found at
> https://github.com/lwfinger/mt7630.

> To manage notifications about this bug go to:
> https://bugs.launchpad.net/hwe-next/+bug/1220146/+subscriptions

mycodef (mycodef) wrote :

> This device still not working in Ubuntu 15.10. I had it working under 15.04 using neurobin code. Now when I try to make it I get a FIF_PROMISC_IN_BSS undeclared error.

neurobin's driver (i.e. kuba-moo's driver with modified installer) is not compatible with kernel 4.2+. Try https://github.com/benjarobin/MT7630E, looks like this error is fixed here

dave (2ave) wrote :

Thanks Jean and mycodef, I did try kuba-moo without success, I am trying
benjarobin now.

benjarobin does appear to make, unfortunately I am not sure how to
install it.

Sorry to be a nuff nuff but would appreciate some instructions on what
to do next.

So far I have downloaded the zip, unzipped, opened terminal, and run
make in both MT7630-master/btloader and MT7630-master/rt2x00.

On 23/10/15 18:50, mycodef wrote:
>> This device still not working in Ubuntu 15.10. I had it working under
> 15.04 using neurobin code. Now when I try to make it I get a
> FIF_PROMISC_IN_BSS undeclared error.
>
> neurobin's driver (i.e. kuba-moo's driver with modified installer) is
> not compatible with kernel 4.2+. Try
> https://github.com/benjarobin/MT7630E, looks like this error is fixed
> here
>

dave (2ave) wrote :

I am indeed a nuff nuff.

I followed the instructions at kuba-moo and wireless is now working, In particular in addition to #273, I:

from MT7630-master issued the following commands.

sudo cp -v firmware/*/* /lib/firmware/

then load the drivers manually:

sudo modprobe rt2800pci
sudo insmod ./rt2x00/mt7630e.ko
sudo insmod ./btloader/mt76xx.ko

I tried to enable dynamic module build with dkms package with :

sudo make dkms

but get error "no build target". I have just installed dkms but get same error. Will try to figure it out.

Thanks for the help, most appreciated.

mycodef (mycodef) wrote :

> I tried to enable dynamic module build with dkms package with :

> sudo make dkms

> but get error "no build target"

copy two files "Makefile" and "dkms.conf" from kuba-moo's repo into benjarobin's one and run this command again

dave (2ave) wrote :

Ok I got wireless networking working using the MT7630 device under Ubuntu 15.10 by following the procedure below.

I used benjarobin for a working driver and kuba-moo to get hold of a couple of make files that simplify the installation.

Download the following files:

MT7630E-master.zip from https://github.com/benjarobin/MT7630E
mt7630e-master.zip from https://github.com/kuba-moo/mt7630e

I used the "Download ZIP" button in both cases which appears at the bottom of the RHS column of these pages.

Unzip both files and copy "Makefile" and "dkms.conf" from mt76303-master to MT7630E-master.

Open a terminal and get to the MT7630E-master directory and then follow the instructions at https://github.com/kuba-moo/mt7630e omitting the "clone repo" steps as you already have the source, (git clone didn't work for me due to a permission issue that I did not understand).

This procedure appeared to work for me, even after a computer restart, (I had got it working without loading on restart and dkms in posts 273 and 274, but hopefully nothing is required above what I describe in this post).

Thanks to kuba-moo, benjarobin and mycodef. Much appreciated.

chili555 (wrweston) wrote :

It compiles perfectly for me in 15.10 with this procedure:

git clone https://github.com/benjarobin/MT7630E.git
cd MT7630E/rt2x00
make
sudo make install
sudo modprobe mt7630e

Nicolas Pineda (genipila-1) wrote :

No, I tried what chili555 did:

git clone https://github.com/benjarobin/MT7630E.git
cd MT7630E/rt2x00
make
sudo make install
but, after:
make: *** No rule to make target 'install'. Alto.

Jocke (jocke-gustafsson) wrote :

That didn't work for me either (chili555's method). Got the same result as Nicolas above.
Tried dave's instructions in comment 276 and it worked!
Also I tried everything in here on fedora 22 but I couldn't get make to work. I think I got this one time:
make: *** No rule to make target 'install'.
then I gave up and installed ubuntu 15.10 and it worked. Might be worth to note I'm a complete linux noob.

Anyway thanks everyone for all the help!

Nicolas Pineda (genipila-1) wrote :

Same that Jocke. Dave's proceedure does work on my Asus K555L XX131. I just want to edit the part that says "Unzip both files and copy "Makefile" and "dkms.conf" from mt76303-master to MT7630E-master." and correct it by "Unzip both files and copy "Makefile" and "dkms.conf" from mt7630e-master to MT7630E-master.". Thanks everyone for all the help.

dave (2ave) wrote :

##can't figure out how to edit a post so here is #276 again with the correction from #280, thanks genipila-1.

Ok I got wireless networking working using the MT7630 device under Ubuntu 15.10 by following the procedure below.

I used benjarobin for a working driver and kuba-moo to get hold of a couple of make files that simplify the installation.

Download the following files:

MT7630E-master.zip from https://github.com/benjarobin/MT7630E
mt7630e-master.zip from https://github.com/kuba-moo/mt7630e

I used the "Download ZIP" button in both cases which appears at the bottom of the RHS column of these pages.

Unzip both files and copy "Makefile" and "dkms.conf" from mt76303e-master to MT7630E-master.

Open a terminal and get to the MT7630E-master directory and then follow the instructions at https://github.com/kuba-moo/mt7630e omitting the "clone repo" steps as you already have the source, (git clone didn't work for me due to a permission issue that I did not understand).

This procedure appeared to work for me, even after a computer restart, (I had got it working without loading on restart and dkms in posts 273 and 274, but hopefully nothing is required above what I describe in this post).

Thanks to kuba-moo, benjarobin and mycodef. Much appreciated.

Md. Jahidul Hamid (neurobin) wrote :

I have updated my repository with fixes, which is reported to work. I tested it with kernel 4.2.3.
https://github.com/neurobin/MT7630E

txutxifel (jesaenh) wrote :

First
Thank for your job. I used your last patch in my PC and wireless connection is more stable.

However,I have just updated my PC (Opensuse Leap 42.1 Kde) and I can't get my bluetooth working in the last kernel 4.1.12.

Linux PC003 4.1.12-1-default #1 SMP PREEMPT Thu Oct 29 06:43:42 UTC 2015 (e24bad1) x86_64 x86_64 x86_64 GNU/Linux

  I have done some test. It's like bluetouth didnt use mt76xx:

btusb 53248 0
btbcm 16384 1 btusb
btintel 16384 1 btusb
bluetooth 532480 9 bnep,btbcm,btusb,btintel

I tried to blacklist btbtcm and btusb, but mt76xx is not used either.

With:
sudo hciconfig hci0 up
Can't init device hci0: Invalid request code (56)

With my old kernel (3.16) bluetooth is working well

Any Idea?

Cheers

Pandelis (padelis-and-21) wrote :

Md. Jahidul Hamid Thank you very much your fix did the work for me . !

Fabio Carrara (fabiocarrara) wrote :

Using the driver from https://github.com/neurobin/MT7630E on my ASUS S301LP with Ubuntu 15.10 and kernel 4.2.0...
Wifi is ok but bluetooth is not working.

When trying to bring the bluetooth device up, I get this error:

sudo hciconfig hci0 up
Can't init device hci0: Invalid request code (56)

I've used "sudo btmon" to trace HCI commands exchanged when trying to bring the device up, and it seems that the error is caused by an unsupported HCI command ("Read Local Supported Codecs" to which the device responds with "Unknown HCI Command").

The complete output of btmon is reported here: http://paste.ubuntu.com/13331174/

Hope it helps to identify the problem.

Neurobin driver is working for me as wifi is now accessible. Yet to test power consumption ,speed and stability scenarios. Laptop model# Asus A555LF xx229D on Fedora 4.2.3-300.fc23.x86_64 bit kernel .

George Moutsopoulos (gmoutso) wrote :

Latest update of neurobin makes wifi work with 16.04 and kernel 4.4.0-22-generic. I downloaded and installed latest from neurobin (thank you 3g phone) because after upgrade the previous neurobin/kuba-moo/etc versions did not work with the new kernel. https://github.com/neurobin/MT7630E

tobiasBora (tobias-bora) wrote :

For people having problem with bluetooth, you should try (tested on kernel 4.4) the following method : https://github.com/neurobin/MT7630E/issues/6#issuecomment-196090923

Here is a copy/paste :

You need to apply this patch :

--- drivers/bluetooth/btusb.c 2015-08-30 20:34:09.000000000 +0200
+++ ../linux-4.2.0/drivers/bluetooth/btusb.c 2016-03-13 21:06:23.393727580 +0100
@@ -60,6 +60,7 @@
 #define BTUSB_QCA_ROME 0x8000
 #define BTUSB_BCM_APPLE 0x10000
 #define BTUSB_REALTEK 0x20000
+#define BTUSB_MEDIATEK 0x40000

 static const struct usb_device_id btusb_table[] = {
    /* Generic Bluetooth USB device */
@@ -73,7 +74,7 @@
      .driver_info = BTUSB_BCM_APPLE },

    /* MediaTek MT76x0E */
- { USB_DEVICE(0x0e8d, 0x763f) },
+ { USB_DEVICE(0x0e8d, 0x763f), .driver_info = BTUSB_MEDIATEK },

    /* Broadcom SoftSailing reporting vendor specific */
    { USB_DEVICE(0x0a5c, 0x21e1) },
@@ -2796,6 +2803,10 @@
        set_bit(HCI_QUIRK_BROKEN_LOCAL_COMMANDS, &hdev->quirks);
    }

+ if (id->driver_info & BTUSB_MEDIATEK) {
+ set_bit(HCI_QUIRK_BROKEN_LOCAL_COMMANDS, &hdev->quirks);
+ }
+
    if (id->driver_info & BTUSB_INTEL_BOOT)
        set_bit(HCI_QUIRK_RAW_DEVICE, &hdev->quirks);

and to do so you can run these commands :

sudo service bluetooth stop
sudo apt-get install build-essential linux-headers-$(uname -r)
cd to your prefered build dir
apt-get source linux-image-$(uname -r)
sudo apt-get build-dep linux-image-$(uname -r)
cd to the created source dir
cp "/boot/config-$(uname -r)" .config
cp "/usr/src/linux-headers-$(uname -r)/Module.symvers" .
edit drivers/bluetooth/btusb.c and apply the patch manually
make prepare
make modules_prepare
make M=scripts/mod
make modules_prepare
make M=drivers/bluetooth/ modules
sudo cp drivers/bluetooth/btusb.ko /lib/modules/$(uname -r)/kernel/drivers/bluetooth
sudo service bluetooth start

Enjoy !

For Wifi, I have some trouble with wifi that crash sometimes, and I need to restart network manager. Depending on the network it can happened every 10 seconds or every 4 hours. I tried the branch 2.0.3a-1 which solved some problems, but not all. If someone manage to solve this problem please tell me ! Here is the Issue and some logs : https://github.com/neurobin/MT7630E/issues/18

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-xenial (Ubuntu):
status: New → Confirmed
daneb0e (dlxphantom) wrote :

This also affects ASUS X200-LA, unfortunately.

Jean (jbernon) wrote :

Hello,

Back to this bug not totally resolved.
I am using this solution https://github.com/kuba-moo/mt7630e
It is working fine for Wifi with Debian Jessie, working partially for BT (I can send files, but cannot keep a connection).
Owner of a new BT headphone, I tried to connect it unsuccessfully.
I tried the new solution alledgedly fixing the BT issue https://github.com/neurobin/MT7630E, the "bpatch" included, whithout success
Here is the result of "systemctl status bluetooth" command.

root@pc-jean-debian:/home/jean/Téléchargements/mt7630e/btloader# systemctl status -l bluetooth
● bluetooth.service - Bluetooth service
Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled)
Active: active (running) since dim. 2016-10-30 22:58:53 CET; 15min ago
Docs: man:bluetoothd(8)
Main PID: 2591 (bluetoothd)
Status: "Running"
CGroup: /system.slice/bluetooth.service
└─2591 /usr/lib/bluetooth/bluetoothd

oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: Bluetooth daemon 5.23
oct. 30 22:58:53 pc-jean-debian systemd[1]: Started Bluetooth service.
oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: Starting SDP server
oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: Bluetooth management interface 1.6 initialized
oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: Sap driver initialization failed.
oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: sap-server: Operation not permitted (1)
oct. 30 22:58:53 pc-jean-debian bluetoothd[2591]: hci0 Load Connection Parameters failed: Unknown Command (0x01)

Has anyone an idea ? Has anyone different BT devices fully connected with the mt7630 and how did he get it ?

Thanks very much for answers.

Jean

Sean (sean-mc-polin) wrote :

Hello Jean,

I have had many difficulties trying to find the right match between a distro, driver and this card.
I have finally settled with debian jessie (linux 3.16) and this easy installable driver : https://github.com/tobiasBora/MT7630E_3.16
I am using xfce, installed blueman and pulse audio and te bluetooth module for pulse audio.
Now I can use my bluetooth audio receiver i connected to my hifi system.
All is working fine now except that wifi and bluetooth interfere with each others' bandwidth, for instance when I update a package or watch a video, the music played through bluetooth just stutters or even becomes silent. But I guess that's just a low quality peice of hardware in the end.

Sean

Nato Boram (nato-boram) wrote :

By using this solution, I am able to use the network card. However, my Ethernet port is damaged and this solution requires an Internet connexion.
http://askubuntu.com/q/377050/620831

Changed in hwe-next:
status: Confirmed → Fix Released
awawi (awawi) wrote :

This bug still exist, why the status changed to → Fix Released

Displaying first 40 and last 40 comments. View all 294 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.